package main

func (r results) Len() int      { return len(r) }
func (r results) Swap(i, j int) { r[i], r[j] = r[j], r[i] }
func (r results) Less(i, j int) bool {
	if len(r[i].h) == 0 || len(r[j].h) == 0 {
		return false
	}
	return r[i].h[0].count > r[j].h[0].count
}

func (h histogram) Len() int      { return len(h) }
func (h histogram) Swap(i, j int) { h[i], h[j] = h[j], h[i] }
func (h histogram) Less(i, j int) bool {
	return h[i].count > h[j].count
}
